import numpy as np
import matplotlib.pyplot as plt


D = np.genfromtxt( "creditcard.csv", delimiter=',', skip_header=1, usecols=(0,29,30) )

rows=np.where( D[:,2]==1)
fraudulentos = D[rows]
print( fraudulentos.shape )
print( D.shape )



# print( type( D[0,2] ), D[0,2] )

fig, ax = plt.subplots( )

ax.set_xlabel( "Tiempo" )
ax.set_ylabel( "Cantidad" )
ax.scatter( D[:,0], D[:,1], c='#19323C', s=3, label="Normales" )
ax.scatter( fraudulentos[:,0], fraudulentos[:,1], c='#F2545B', s=3, label="Fraudulentos" )
plt.legend(loc='upper right')
plt.show( )
